<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:05 CET 2009 -->
<TITLE>
FixedWidthTable
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.jbase.FixedWidthTable class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="FixedWidthTable";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/FixedWidthTable.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/jbase/MemoryTable.html" title="class in ch.javasoft.jbase"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/jbase/FixedWidthTable.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="FixedWidthTable.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.jbase</FONT>
<BR>
Class FixedWidthTable&lt;E&gt;</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.jbase.FixedWidthTable&lt;E&gt;</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../ch/javasoft/jbase/concurrent/Stateful.html" title="interface in ch.javasoft.jbase.concurrent">Stateful</A>, <A HREF="../../../ch/javasoft/jbase/Table.html" title="interface in ch.javasoft.jbase">Table</A>&lt;E&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.60"><B>FixedWidthTable&lt;E&gt;</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../ch/javasoft/jbase/Table.html" title="interface in ch.javasoft.jbase">Table</A>&lt;E&gt;, <A HREF="../../../ch/javasoft/jbase/concurrent/Stateful.html" title="interface in ch.javasoft.jbase.concurrent">Stateful</A></DL>
</PRE>

<P>
The <code>FixedWidthTable</code> stores entities of known, fixed
 size. 
 <p>
 To store the data, a <A HREF="../../../ch/javasoft/jbase/RandomAccessPersister.html" title="interface in ch.javasoft.jbase"><CODE>RandomAccessPersister</CODE></A> is used, usually
 operating on a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/RandomAccessFile.html" title="class or interface in java.io"><CODE>RandomAccessFile</CODE></A>. If files are used for storage,
 a single file is created. Since entities have fixed width. offsets to
 any entity can be computed easily.
 <p>
 Note that fixed width tables are not thread safe. However, a thread safe 
 table for concurrent use is possible by using this table together with
 <A HREF="../../../ch/javasoft/jbase/concurrent/ConcurrentTable.html" title="class in ch.javasoft.jbase.concurrent"><CODE>ConcurrentTable</CODE></A>.
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected </CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#FixedWidthTable(ch.javasoft.jbase.RandomAccessPersister, ch.javasoft.jbase.FixedWidthMarshaller, int)">FixedWidthTable</A></B>(<A HREF="../../../ch/javasoft/jbase/RandomAccessPersister.html" title="interface in ch.javasoft.jbase">RandomAccessPersister</A>&nbsp;raPersister,
                               <A HREF="../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;<A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="type parameter in FixedWidthTable">E</A>&gt;&nbsp;marshaller,
                               int&nbsp;size)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor for internal use and subclasses only, called from
 <A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#open(java.io.File, ch.javasoft.jbase.FixedWidthMarshaller)"><CODE>open(..)</CODE></A> and
 <A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#create(java.io.File, ch.javasoft.jbase.FixedWidthMarshaller)"><CODE>create(..)</CODE></A> methods.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#add(E)">add</A></B>(<A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="type parameter in FixedWidthTable">E</A>&nbsp;entity)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds a new entity to the table.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#byteOffset()">byteOffset</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#byteOffset(int)">byteOffset</A></B>(int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#byteSizeData()">byteSizeData</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#byteSizeTotal()">byteSizeTotal</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#close(boolean)">close</A></B>(boolean&nbsp;erase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Closes this table.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;En&gt; <A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="class in ch.javasoft.jbase">FixedWidthTable</A>&lt;En&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#create(java.io.File, ch.javasoft.jbase.FixedWidthMarshaller)">create</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;file,
             <A HREF="../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;En&gt;&nbsp;marshaller)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates the given table for read and write, using no cache</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;En&gt; <A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="class in ch.javasoft.jbase">FixedWidthTable</A>&lt;En&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#create(java.io.File, ch.javasoft.jbase.FixedWidthMarshaller, int, int)">create</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;file,
             <A HREF="../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;En&gt;&nbsp;marshaller,
             int&nbsp;cacheTableSize,
             int&nbsp;cacheEntrySize)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates the given table for read and write, using caching</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;En&gt; <A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="class in ch.javasoft.jbase">FixedWidthTable</A>&lt;En&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#create(ch.javasoft.jbase.RandomAccessPersister, ch.javasoft.jbase.FixedWidthMarshaller)">create</A></B>(<A HREF="../../../ch/javasoft/jbase/RandomAccessPersister.html" title="interface in ch.javasoft.jbase">RandomAccessPersister</A>&nbsp;raPersister,
             <A HREF="../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;En&gt;&nbsp;marshaller)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates the given table for read and write using the specified persister.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="class in ch.javasoft.jbase">FixedWidthTable</A>&lt;<A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="type parameter in FixedWidthTable">E</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#createReadCopy(java.util.concurrent.locks.ReadWriteLock)">createReadCopy</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/concurrent/locks/ReadWriteLock.html" title="class or interface in java.util.concurrent.locks">ReadWriteLock</A>&nbsp;lock)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a read copy of this stateful object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#finalize()">finalize</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Calls <A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#close(boolean)"><CODE>close(boolean)</CODE></A> with false argument, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#flush()">flush</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Flush ensures that all write operations are persisted.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="type parameter in FixedWidthTable">E</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#get(int)">get</A></B>(int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the entity at the given position.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#getByteWidth()">getByteWidth</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;<A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="type parameter in FixedWidthTable">E</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#getEntityMarshaller()">getEntityMarshaller</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;En&gt; <A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="class in ch.javasoft.jbase">FixedWidthTable</A>&lt;En&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#open(java.io.File, ch.javasoft.jbase.FixedWidthMarshaller)">open</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;file,
         <A HREF="../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;En&gt;&nbsp;marshaller)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Open the given table for read-only access, using no cache</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;En&gt; <A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="class in ch.javasoft.jbase">FixedWidthTable</A>&lt;En&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#open(java.io.File, ch.javasoft.jbase.FixedWidthMarshaller, int, int)">open</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;file,
         <A HREF="../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;En&gt;&nbsp;marshaller,
         int&nbsp;cacheTableSize,
         int&nbsp;cacheEntrySize)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Open the given table for read-only access, using caching</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;En&gt; <A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="class in ch.javasoft.jbase">FixedWidthTable</A>&lt;En&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#open(ch.javasoft.jbase.RandomAccessPersister, ch.javasoft.jbase.FixedWidthMarshaller)">open</A></B>(<A HREF="../../../ch/javasoft/jbase/RandomAccessPersister.html" title="interface in ch.javasoft.jbase">RandomAccessPersister</A>&nbsp;raPersister,
         <A HREF="../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;En&gt;&nbsp;marshaller)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Open the given table for read and write, depending on the specified
 persister.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#readByteWidth(ch.javasoft.jbase.RandomAccessPersister)">readByteWidth</A></B>(<A HREF="../../../ch/javasoft/jbase/RandomAccessPersister.html" title="interface in ch.javasoft.jbase">RandomAccessPersister</A>&nbsp;raPersister)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reads the table byte width from file using the given persister.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#readHeader()">readHeader</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#readSize(ch.javasoft.jbase.RandomAccessPersister)">readSize</A></B>(<A HREF="../../../ch/javasoft/jbase/RandomAccessPersister.html" title="interface in ch.javasoft.jbase">RandomAccessPersister</A>&nbsp;raPersister)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reads the table size, that is, the number of entries, from file using the 
 given persister.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#remove(int)">remove</A></B>(int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Removes the entity at the given position from the table.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#removeAll()">removeAll</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Closes this table.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#set(int, E)">set</A></B>(int&nbsp;index,
       <A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="type parameter in FixedWidthTable">E</A>&nbsp;entity)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Replaces the entity at the given position by the specified
 entity.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#size()">size</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the size of the table, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#swap(int, int)">swap</A></B>(int&nbsp;indexA,
         int&nbsp;indexB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Swaps the two entities specified by their index.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#writeHeader()">writeHeader</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="FixedWidthTable(ch.javasoft.jbase.RandomAccessPersister, ch.javasoft.jbase.FixedWidthMarshaller, int)"><!-- --></A><H3>
FixedWidthTable</H3>
<PRE>
protected <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.78"><B>FixedWidthTable</B></A>(<A HREF="../../../ch/javasoft/jbase/RandomAccessPersister.html" title="interface in ch.javasoft.jbase">RandomAccessPersister</A>&nbsp;raPersister,
                          <A HREF="../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;<A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="type parameter in FixedWidthTable">E</A>&gt;&nbsp;marshaller,
                          int&nbsp;size)</PRE>
<DL>
<DD>Constructor for internal use and subclasses only, called from
 <A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#open(java.io.File, ch.javasoft.jbase.FixedWidthMarshaller)"><CODE>open(..)</CODE></A> and
 <A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#create(java.io.File, ch.javasoft.jbase.FixedWidthMarshaller)"><CODE>create(..)</CODE></A> methods.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>raPersister</CODE> - the persister to use<DD><CODE>marshaller</CODE> - the marshaller<DD><CODE>size</CODE> - the number of table entries</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="readByteWidth(ch.javasoft.jbase.RandomAccessPersister)"><!-- --></A><H3>
readByteWidth</H3>
<PRE>
public static int <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.106"><B>readByteWidth</B></A>(<A HREF="../../../ch/javasoft/jbase/RandomAccessPersister.html" title="interface in ch.javasoft.jbase">RandomAccessPersister</A>&nbsp;raPersister)
                         throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Reads the table byte width from file using the given persister. The
 byte with is saved at position 0L in the file.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="readSize(ch.javasoft.jbase.RandomAccessPersister)"><!-- --></A><H3>
readSize</H3>
<PRE>
public static int <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.116"><B>readSize</B></A>(<A HREF="../../../ch/javasoft/jbase/RandomAccessPersister.html" title="interface in ch.javasoft.jbase">RandomAccessPersister</A>&nbsp;raPersister)
                    throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Reads the table size, that is, the number of entries, from file using the 
 given persister. The table size is saved at position 4L in the file.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="open(java.io.File, ch.javasoft.jbase.FixedWidthMarshaller)"><!-- --></A><H3>
open</H3>
<PRE>
public static &lt;En&gt; <A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="class in ch.javasoft.jbase">FixedWidthTable</A>&lt;En&gt; <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.132"><B>open</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;file,
                                            <A HREF="../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;En&gt;&nbsp;marshaller)
                                throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Open the given table for read-only access, using no cache
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Type Parameters:</B><DD><CODE>En</CODE> - the entry type<DT><B>Parameters:</B><DD><CODE>file</CODE> - the table file to open<DD><CODE>marshaller</CODE> - the marshaller
<DT><B>Returns:</B><DD>the table without cache for reading only
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE> - if an i/o exception occurs</DL>
</DD>
</DL>
<HR>

<A NAME="open(java.io.File, ch.javasoft.jbase.FixedWidthMarshaller, int, int)"><!-- --></A><H3>
open</H3>
<PRE>
public static &lt;En&gt; <A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="class in ch.javasoft.jbase">FixedWidthTable</A>&lt;En&gt; <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.149"><B>open</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;file,
                                            <A HREF="../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;En&gt;&nbsp;marshaller,
                                            int&nbsp;cacheTableSize,
                                            int&nbsp;cacheEntrySize)
                                throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Open the given table for read-only access, using caching
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Type Parameters:</B><DD><CODE>En</CODE> - the entry type<DT><B>Parameters:</B><DD><CODE>file</CODE> - the table file to open<DD><CODE>marshaller</CODE> - the marshaller<DD><CODE>cacheTableSize</CODE> - Table size for <A HREF="../../../ch/javasoft/jbase/BufferedRandomAccessPersister.html" title="class in ch.javasoft.jbase"><CODE>BufferedRandomAccessPersister</CODE></A>,
                                                        or 0 if no cache should be used<DD><CODE>cacheEntrySize</CODE> - Table entry size for <A HREF="../../../ch/javasoft/jbase/BufferedRandomAccessPersister.html" title="class in ch.javasoft.jbase"><CODE>BufferedRandomAccessPersister</CODE></A>,
                                                        or 0 if no cache should be used
<DT><B>Returns:</B><DD>the table for reading only
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE> - if an i/o exception occurs</DL>
</DD>
</DL>
<HR>

<A NAME="open(ch.javasoft.jbase.RandomAccessPersister, ch.javasoft.jbase.FixedWidthMarshaller)"><!-- --></A><H3>
open</H3>
<PRE>
public static &lt;En&gt; <A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="class in ch.javasoft.jbase">FixedWidthTable</A>&lt;En&gt; <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.168"><B>open</B></A>(<A HREF="../../../ch/javasoft/jbase/RandomAccessPersister.html" title="interface in ch.javasoft.jbase">RandomAccessPersister</A>&nbsp;raPersister,
                                            <A HREF="../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;En&gt;&nbsp;marshaller)
                                throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Open the given table for read and write, depending on the specified
 persister.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Type Parameters:</B><DD><CODE>En</CODE> - the entry type<DT><B>Parameters:</B><DD><CODE>raPersister</CODE> - the persister for file access<DD><CODE>marshaller</CODE> - the marshaller
<DT><B>Returns:</B><DD>the table
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE> - if an i/o exception occurs</DL>
</DD>
</DL>
<HR>

<A NAME="create(java.io.File, ch.javasoft.jbase.FixedWidthMarshaller)"><!-- --></A><H3>
create</H3>
<PRE>
public static &lt;En&gt; <A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="class in ch.javasoft.jbase">FixedWidthTable</A>&lt;En&gt; <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.184"><B>create</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;file,
                                              <A HREF="../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;En&gt;&nbsp;marshaller)
                                  throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Creates the given table for read and write, using no cache
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Type Parameters:</B><DD><CODE>En</CODE> - the entry type<DT><B>Parameters:</B><DD><CODE>file</CODE> - the table file to create<DD><CODE>marshaller</CODE> - the marshaller
<DT><B>Returns:</B><DD>the table
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE> - if an i/o exception occurs</DL>
</DD>
</DL>
<HR>

<A NAME="create(java.io.File, ch.javasoft.jbase.FixedWidthMarshaller, int, int)"><!-- --></A><H3>
create</H3>
<PRE>
public static &lt;En&gt; <A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="class in ch.javasoft.jbase">FixedWidthTable</A>&lt;En&gt; <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.201"><B>create</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;file,
                                              <A HREF="../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;En&gt;&nbsp;marshaller,
                                              int&nbsp;cacheTableSize,
                                              int&nbsp;cacheEntrySize)
                                  throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Creates the given table for read and write, using caching
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Type Parameters:</B><DD><CODE>En</CODE> - the entry type<DT><B>Parameters:</B><DD><CODE>file</CODE> - the table file to create<DD><CODE>marshaller</CODE> - the marshaller<DD><CODE>cacheTableSize</CODE> - Table size for <A HREF="../../../ch/javasoft/jbase/BufferedRandomAccessPersister.html" title="class in ch.javasoft.jbase"><CODE>BufferedRandomAccessPersister</CODE></A>,
                                                        or 0 if no cache should be used<DD><CODE>cacheEntrySize</CODE> - Table entry size for <A HREF="../../../ch/javasoft/jbase/BufferedRandomAccessPersister.html" title="class in ch.javasoft.jbase"><CODE>BufferedRandomAccessPersister</CODE></A>,
                                                        or 0 if no cache should be used
<DT><B>Returns:</B><DD>the table
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE> - if an i/o exception occurs</DL>
</DD>
</DL>
<HR>

<A NAME="create(ch.javasoft.jbase.RandomAccessPersister, ch.javasoft.jbase.FixedWidthMarshaller)"><!-- --></A><H3>
create</H3>
<PRE>
public static &lt;En&gt; <A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="class in ch.javasoft.jbase">FixedWidthTable</A>&lt;En&gt; <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.215"><B>create</B></A>(<A HREF="../../../ch/javasoft/jbase/RandomAccessPersister.html" title="interface in ch.javasoft.jbase">RandomAccessPersister</A>&nbsp;raPersister,
                                              <A HREF="../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;En&gt;&nbsp;marshaller)
                                  throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Creates the given table for read and write using the specified persister.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Type Parameters:</B><DD><CODE>En</CODE> - the entry type<DT><B>Parameters:</B><DD><CODE>raPersister</CODE> - the persister for file access<DD><CODE>marshaller</CODE> - the marshaller
<DT><B>Returns:</B><DD>the table
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE> - if an i/o exception occurs</DL>
</DD>
</DL>
<HR>

<A NAME="readHeader()"><!-- --></A><H3>
readHeader</H3>
<PRE>
protected void <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.223"><B>readHeader</B></A>()
                   throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="writeHeader()"><!-- --></A><H3>
writeHeader</H3>
<PRE>
protected void <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.235"><B>writeHeader</B></A>()
                    throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getByteWidth()"><!-- --></A><H3>
getByteWidth</H3>
<PRE>
public int <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.243"><B>getByteWidth</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getEntityMarshaller()"><!-- --></A><H3>
getEntityMarshaller</H3>
<PRE>
public <A HREF="../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;<A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="type parameter in FixedWidthTable">E</A>&gt; <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.246"><B>getEntityMarshaller</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="add(java.lang.Object)"><!-- --></A><A NAME="add(E)"><!-- --></A><H3>
add</H3>
<PRE>
public int <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.250"><B>add</B></A>(<A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="type parameter in FixedWidthTable">E</A>&nbsp;entity)
        throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/jbase/Table.html#add(E)">Table</A></CODE></B></DD>
<DD>Adds a new entity to the table. The index of the added entity
 is at end of table, i.e. <A HREF="../../../ch/javasoft/jbase/Table.html#size()"><CODE>size</CODE></A>-1 after adding
 the new entity.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/jbase/Table.html#add(E)">add</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/jbase/Table.html" title="interface in ch.javasoft.jbase">Table</A>&lt;<A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="type parameter in FixedWidthTable">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the position of the added entity, i.e. size-1
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="get(int)"><!-- --></A><H3>
get</H3>
<PRE>
public <A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="type parameter in FixedWidthTable">E</A> <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.258"><B>get</B></A>(int&nbsp;index)
      throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/jbase/Table.html#get(int)">Table</A></CODE></B></DD>
<DD>Returns the entity at the given position. Note that (row) indices
 might change if entities are added or removed.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/jbase/Table.html#get(int)">get</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/jbase/Table.html" title="interface in ch.javasoft.jbase">Table</A>&lt;<A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="type parameter in FixedWidthTable">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="remove(int)"><!-- --></A><H3>
remove</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.264"><B>remove</B></A>(int&nbsp;index)
            throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/jbase/Table.html#remove(int)">Table</A></CODE></B></DD>
<DD>Removes the entity at the given position from the table. If
 this was the last entity, it is just removed. If it is another
 (not the last) row, the entity at the last row is moved to
 the specified position of the entity to remove.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/jbase/Table.html#remove(int)">remove</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/jbase/Table.html" title="interface in ch.javasoft.jbase">Table</A>&lt;<A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="type parameter in FixedWidthTable">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="set(int,java.lang.Object)"><!-- --></A><A NAME="set(int, E)"><!-- --></A><H3>
set</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.272"><B>set</B></A>(int&nbsp;index,
                <A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="type parameter in FixedWidthTable">E</A>&nbsp;entity)
         throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/jbase/Table.html#set(int, E)">Table</A></CODE></B></DD>
<DD>Replaces the entity at the given position by the specified
 entity.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/jbase/Table.html#set(int, E)">set</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/jbase/Table.html" title="interface in ch.javasoft.jbase">Table</A>&lt;<A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="type parameter in FixedWidthTable">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="swap(int, int)"><!-- --></A><H3>
swap</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.279"><B>swap</B></A>(int&nbsp;indexA,
                 int&nbsp;indexB)
          throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/jbase/Table.html#swap(int, int)">Table</A></CODE></B></DD>
<DD>Swaps the two entities specified by their index.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/jbase/Table.html#swap(int, int)">swap</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/jbase/Table.html" title="interface in ch.javasoft.jbase">Table</A>&lt;<A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="type parameter in FixedWidthTable">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="removeAll()"><!-- --></A><H3>
removeAll</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.293"><B>removeAll</B></A>()
               throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/jbase/Table.html#removeAll()">Table</A></CODE></B></DD>
<DD>Closes this table. Pending write operations are <A HREF="../../../ch/javasoft/jbase/Table.html#flush()"><CODE>flushed</CODE></A>, 
 and underlying files are closed. Subsequent access to the table
 is not allowed and causes exceptions. Multiple calls to this 
 <tt>close</tt> method do not cause any exceptions.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/jbase/Table.html#removeAll()">removeAll</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/jbase/Table.html" title="interface in ch.javasoft.jbase">Table</A>&lt;<A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="type parameter in FixedWidthTable">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="size()"><!-- --></A><H3>
size</H3>
<PRE>
public int <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.299"><B>size</B></A>()
         throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/jbase/Table.html#size()">Table</A></CODE></B></DD>
<DD>Returns the size of the table, i.e. the number of rows or entities.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/jbase/Table.html#size()">size</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/jbase/Table.html" title="interface in ch.javasoft.jbase">Table</A>&lt;<A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="type parameter in FixedWidthTable">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="flush()"><!-- --></A><H3>
flush</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.304"><B>flush</B></A>()
           throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/jbase/Table.html#flush()">Table</A></CODE></B></DD>
<DD>Flush ensures that all write operations are persisted. Writing
 to files ore databases might involve caches (operating system 
 caches or application caches). Calling this method enforces that
 all cached data is written to the underlying layer(s).
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/jbase/Table.html#flush()">flush</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/jbase/Table.html" title="interface in ch.javasoft.jbase">Table</A>&lt;<A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="type parameter in FixedWidthTable">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="close(boolean)"><!-- --></A><H3>
close</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.325"><B>close</B></A>(boolean&nbsp;erase)
           throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/jbase/Table.html#close(boolean)">Table</A></CODE></B></DD>
<DD>Closes this table. Pending write operations are <A HREF="../../../ch/javasoft/jbase/Table.html#flush()"><CODE>flushed</CODE></A>, 
 and underlying files are closed. Subsequent access to the table
 is not allowed and causes exceptions. Multiple calls to this 
 <tt>close</tt> method do not cause any exceptions.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/jbase/Table.html#close(boolean)">close</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/jbase/Table.html" title="interface in ch.javasoft.jbase">Table</A>&lt;<A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="type parameter in FixedWidthTable">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="createReadCopy(java.util.concurrent.locks.ReadWriteLock)"><!-- --></A><H3>
createReadCopy</H3>
<PRE>
public <A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="class in ch.javasoft.jbase">FixedWidthTable</A>&lt;<A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="type parameter in FixedWidthTable">E</A>&gt; <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.340"><B>createReadCopy</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/concurrent/locks/ReadWriteLock.html" title="class or interface in java.util.concurrent.locks">ReadWriteLock</A>&nbsp;lock)
                                  throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/jbase/concurrent/Stateful.html#createReadCopy(java.util.concurrent.locks.ReadWriteLock)">Stateful</A></CODE></B></DD>
<DD>Returns a read copy of this stateful object. The returned read copy 
 contains its own state compared to another read copy instance, i.e. read 
 copies can be used by different threads without causing conflicts 
 considering the state of the stateful object. 
 <p>
 The submitted read/write lock can be used later on e.g. for lazy opening
 of additional files. When this method is invoked, the write lock of the
 submitted read/write lock is held.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/jbase/concurrent/Stateful.html#createReadCopy(java.util.concurrent.locks.ReadWriteLock)">createReadCopy</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/jbase/concurrent/Stateful.html" title="interface in ch.javasoft.jbase.concurrent">Stateful</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>lock</CODE> - A read/write lock, the write lock is held. The lock, 
                                 however, might also be used for other functionality of the
                                 returned read copy, for instance, if the read copy has to
                                 be put in sync with the main object.
<DT><B>Returns:</B><DD>a new read copy instance, with copied state compared to other
                        read copy instances
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="finalize()"><!-- --></A><H3>
finalize</H3>
<PRE>
protected void <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.410"><B>finalize</B></A>()
                 throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Throwable.html" title="class or interface in java.lang">Throwable</A></PRE>
<DL>
<DD>Calls <A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html#close(boolean)"><CODE>close(boolean)</CODE></A> with false argument, i.e. without erasing
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Throwable.html" title="class or interface in java.lang">Throwable</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="byteOffset()"><!-- --></A><H3>
byteOffset</H3>
<PRE>
protected long <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.414"><B>byteOffset</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="byteOffset(int)"><!-- --></A><H3>
byteOffset</H3>
<PRE>
protected long <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.417"><B>byteOffset</B></A>(int&nbsp;index)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="byteSizeTotal()"><!-- --></A><H3>
byteSizeTotal</H3>
<PRE>
protected long <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.420"><B>byteSizeTotal</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="byteSizeData()"><!-- --></A><H3>
byteSizeData</H3>
<PRE>
protected long <A HREF="../../../src-html/ch/javasoft/jbase/FixedWidthTable.html#line.423"><B>byteSizeData</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/FixedWidthTable.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/jbase/MemoryTable.html" title="class in ch.javasoft.jbase"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/jbase/FixedWidthTable.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="FixedWidthTable.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
